Subject: RE: [Mobopts] Re: [Mip6] Privacy requirements for Mobile IPv6

From: Wassim Haddad <[email-masked]>
Date: Thu, 10 Mar 2005 16:27:28 +0200 (EET)

On Wed, 9 Mar 2005 [email-masked] wrote:

> The cross protocol mechanism you mention has been identified in the
> 802.21 work as potentially useful. Yes, some tunnels/layers end in
> different stacks. The layers that "stack" together at the endpoints and
> first point of attachment tend to be what are used to manage/influence
> full path behavior.
>
> The privacy issue is one manifestation of a lack of cross protocol
> coordination.

=> I tend to agree. Achieving anonymity is mainly about managing
pseudo-identities at different (i.e., concerned) layers. IMHO, such
management may be easier to perform via cross layer coordination.

> There are several others "dimensions", including widely divergent issues
> such as power savings, cost for using the "connections", QoS, and other
> aspects of security.

> It might be worthwhile to view the issue of address vs. identifier in
> the larger context as well. Management of each "dimension" of the
> protocols tends to need coordination both horizontally (within the
> protocol) and vertically (up the stack). Devising a
> numbering/naming/identification "handle" for one dimension may overlook
> the need for the same "handle" in other dimensions. In 802.11e and
> 802.11i for example this has come up.

Regards,

Wassim H.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of ext Jari Arkko
> Sent: Wednesday, March 09, 2005 1:59 PM
> To: Wassim Haddad
> Cc: Gopal Dommety; [email-masked]; [email-masked]
> Subject: Re: [Mobopts] Re: [Mip6] Privacy requirements for Mobile IPv6
>
> Wassim Haddad wrote:
>
> >>Also, all mobility protocols that I know of are using their own
> >>definition of stable identifiers, so it would seem that addressing
> >>their privacy issues probably requires different solutions.
> >>(Particularly when the current state of identity privacy support in
> >>the different protocols is quite different.)
> >>
> >>
> >
> >=> The only "stable" identifiers I can see in momipriv are the MAC and
> >IP identifiers. Any privacy solution should know how and when to
> >replace both identifiers since the two identifiers should be seen as
> >the input for the same problem.
> >
> >Based on that, I am not sure if this means that we need "different
> >solutions" (i.e.,  one solution for each identifier).
> >
> >
> That's a good point. There certainly needs to be some synchronization in
> the changing of the identifiers at different layers. I'm hoping this is
> more of an issue for coordination among different layers in an
> implementation than something that requires cross-layer protocol
> mechanisms, particularly when the endpoints in the different layers are
> in different places. But it does need to be considered when you look at
> the whole problem for identity privacy.
>
> --Jari
>
>
> _______________________________________________
> Mobopts mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mobopts
>
>

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: [email-masked]
Date: Wed, 9 Mar 2005 15:38:59 -0800

The privacy issue is one manifestation of a lack of cross protocol
coordination. There are several others "dimensions", including widely
divergent issues such as power savings, cost for using the
"connections", QoS, and other aspects of security.

Also, encroachment on privacy on a shared medium might be possible by
inspecting other than just addresses.

Best Regards,
Michael

-----Original Message-----

--Jari